Get group

get/v1/organizations/{organizationId}/groups/{groupId}
MCP ToolRead
Page View

Access control endpoints allow you to review and manage user role assignments. Organization and environment roles are managed separately. Furthermore, a user’s organizational role doesn't impact their assigned environment role, and vice versa. Learn about roles.

Generally, organization owners or admins can retrieve, assign, update, or remove role assignments. However, only organization owners can assign or remove organization roles specifically.

Assign or add an organization role

We don't currently support assigning an organization role (i.e., adding a user to an organization) in the Redox dashboard. Learn how to add a user.

Get group

Coming soon

This feature is coming soon, so you won’t see it live in a production environment just yet. Stay tuned for the release!

Retrieve one group, including group members and role assignments, in the specified organization.

Request parameters

cURL request example

bash
1
curl 'https://api.redoxengine.com/platform/v1/organizations/{organizationId}/groups/{groupId}' \
2
--request GET \
3
--header 'Authorization: Bearer $API_TOKEN' \
4
--header 'accept: application/json'

Path Parameters

  • organizationId
    required, string

    Identifies the Redox organization that you're operating in or on behalf of.

  • groupId
    required, string

    Contains the unique identifier of the group.

Response fields and example

Example payload generated from schema
1
{
2
"meta": {
3
"version": "1.0.0"
4
},
5
"payload": {
6
"group": {
7
"id": "string",
8
"organization": 0,
9
"name": "string",
10
"source": "manual",
11
"createdAt": "2019-08-24T14:15:22Z",
12
"updatedAt": "2019-08-24T14:15:22Z",
13
"members": [
14
{
15
"user": {
16
"id": 0,
17
"fullname": "string",
18
"lowcaseEmail": "string"
19
}
20
}
21
],
22
"roleAssignments": [
23
{
24
"role": {
25
"id": "string",
26
"name": "string"
27
},
28
"environment": {
29
"id": "string",
30
"name": "string"
31
}
32
}
33
]
34
}
35
}
36
}
  • meta
    object
    • version
      string

      Lists the major and minor version number for the format of the returned payload. The payload format or shape may change between minor versions, like including additional or extended fields in later versions. We include the version data in each response so that you have the option to handle the signaled differences.

  • payload
    object
    • group
      object
      • id
        string

        Contains the unique identifier of the group.

      • organization
        integer

        Identifies the organization the group belongs to.

      • name
        string

        Contains the group's human-readable name.

      • source
        string

        Indicates who manages the group's membership. manual means your organization's administrators manage it in Redox.

        Value: manual
      • createdAt
        string

        Displays a timestamp of when the group was created.

        Format: date-time
      • updatedAt
        string

        Displays a timestamp of when the group was last updated.

        Format: date-time
      • members
        Array of object

        Lists all group members.

        • user
          object
          • id
            integer

            Contains the unique identifier of the user.

          • fullname
            string

            Displays the full name of the user.

          • lowcaseEmail
            string

            Contains the user's email address in lowercase format.

      • roleAssignments
        Array of object

        Contains the organization and environment roles the group grants.

        • role
          object
          • id
            string

            Displays the unique identifier of the role.

          • name
            string

            Displays the name of the role.

        • environment
          nullable, object

          Contains the environment that the environment role applies to. Otherwise, this is set to null for an organization role assignment.

          • id
            string

            Identifies the environment.

          • name
            string

            Displays the human-readable name of the environment.

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.